2 Replies Latest reply on Apr 3, 2008 5:06 PM by Max Rydahl Andersen

    migration to 2.0.1 GA

    Levent Aksu Newbie

      Hi,
      How do we upgrade to JBoss Tools 2.0.1.GA from JBoss Tools 2.0.0.GA on an existing Eclipse installation without breaking anything in the Eclipse workspace with existing Seam project(s)? I am afraid to break something.
      I feel like it is either too obvious or I am incapable of finding any documentation/note on that.

        • 1. Re: migration to 2.0.1 GA
          Rob Stryker Master

          There should not be any project-level breakages between 2.0.1 and 2.0.0. Also, there is no direct connection between your workspace and your build.

          You could create a new eclipse folder, unzip an eclipse zip, a WTP zip, (all the requirements etc) and then unzip the new version of JBoss Tools.

          This should work fine with your workspace.

          It *may* be possible to simply unzip the new JBoss Tools on top of the old installation, but I am not certain of this. You should wait for input from others, or just go with my suggestion. =]

          • 2. Re: migration to 2.0.1 GA
            Max Rydahl Andersen Master

            It should be 100% backwards compatible.

            Take a backup of your workspace if you by any chance prove me wrong.